org.apache.poi.hwmf.record

## Class HwmfDraw.WmfPolyline

- java.lang.Object
- - org.apache.poi.hwmf.record.HwmfDraw.WmfPolygon
  - - org.apache.poi.hwmf.record.HwmfDraw.WmfPolyline

- All Implemented Interfaces:
    GenericRecord, HwmfRecord
  Enclosing class:
    HwmfDraw

      public static class HwmfDraw.WmfPolyline
      extends HwmfDraw.WmfPolygon

  The META_POLYLINE record draws a series of line segments by connecting the points in the specified array.

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hwmf.record.HwmfDraw.WmfPolygon

      `poly`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WmfPolyline()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected HwmfGraphics.FillDrawStyle` | `getFillDrawStyle()`
    `HwmfRecordType` | `getWmfRecordType()`

    - ### Methods inherited from class org.apache.poi.hwmf.record.HwmfDraw.WmfPolygon

      `draw, getGenericProperties, getPoly, init, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.hwmf.record.HwmfRecord

      `getGenericRecordType`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren`

- - ### Constructor Detail

    - #### WmfPolyline

          public WmfPolyline()

  - ### Method Detail

    - #### getWmfRecordType

          public HwmfRecordType getWmfRecordType()

      Specified by:
        `getWmfRecordType` in interface `HwmfRecord`
      Overrides:
        `getWmfRecordType` in class `HwmfDraw.WmfPolygon`

    - #### getFillDrawStyle

          protected HwmfGraphics.FillDrawStyle getFillDrawStyle()

      Overrides:
        `getFillDrawStyle` in class `HwmfDraw.WmfPolygon`
      Returns:
        true, if the shape should be filled

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.